%set_tbird_ciddir arch 847b3a00-7ab1-11d4-8f02-006008948af5

Summary:        Enigmail - GPG support for Mozilla Thunderbird
Name:           thunderbird-enigmail
Version:        0.95.6
Release:       	alt1.M41.1
License:        MPL/GPL
Group:          Networking/Mail
URL:            http://enigmail.mozdev.org/
Packager:	Alexey Gladkov <legion@altlinux.ru>

Source0:       	enigmail-%version.tar
Patch0:		enigmail-alt-version-fix.patch

Requires: gnupg
Requires: %tbird_name = %tbird_version
Conflicts:  thunderbird-enigmail < 0.90.0

Obsoletes:  thunderbird-enigmail-ru

# Automatically added by buildreq on Wed Mar 22 2006 (-bi)
BuildRequires: chrpath gcc-c++ libgtk+2-devel libnspr-devel thunderbird-devel unzip zip
BuildRequires(pre): rpm-build-thunderbird

%description
Enigmail is an extension to the mail client of Mozilla / Netscape 7.x 
which allows users to access the authentication and encryption features 
provided by the popular GnuPG software.

%prep
%setup -q -n %name-%version/mozilla -c
#patch0 -p0

%__tar -jxf %tbird_usrsrc/sources.tar.bz2

%__subst "s@\(MOZ_BUILD_ROOT\)[[:space:]]*=.*@\1 = %_builddir/%name-%version/mozilla@g" config/autoconf.mk

%__mkdir_p dist

cp -rs %tbird_libdir dist/bin
cp -rs %tbird_includedir dist/include
cp -rs %tbird_idldir dist/idl

instchrome=dist/bin/chrome/installed-chrome.txt
[ ! -f "$instchrome" ] || rm -f -- "$instchrome"
touch "$instchrome"

%__mv enigmail mailnews/extensions/
%__cp makemake.sh mailnews/extensions/enigmail

%build
cd config
%make nsinstall export
cd -

cd mailnews/extensions/enigmail
./makemake.sh -r
MOZ_THUNDERBIRD=1 %make
cd -

chrpath -r "%tbird_prefix" mailnews/extensions/enigmail/build/libenigmime.so

cd mailnews/extensions/enigmail
MOZ_THUNDERBIRD=1 %make xpi
cd -

%install
%__mkdir_p %buildroot/%ciddir
pushd %buildroot/%ciddir >/dev/null
unzip -q -- %_builddir/%name-%version/mozilla/dist/bin/enigmail-%version-linux-*.xpi
popd >/dev/null

%files
%ciddir

%changelog
* Mon Sep 29 2008 Michael Shigorin <mike@altlinux.org> 0.95.6-alt1.M41.1
- rebuilt against 2.0.0.17 for M41

* Mon Mar 03 2008 Alexey Gladkov <legion@altlinux.ru> 0.95.6-alt1
- New version (0.95.6).

* Fri Aug 03 2007 Alexey Gladkov <legion@altlinux.ru> 0.95.2-alt1
- New version (0.95.2).

* Fri Jul 20 2007 Alexey Gladkov <legion@altlinux.ru> 0.95.1-alt2
- rebuild with thunderbird-2.0.0.5

* Mon Jul 02 2007 Alexey Gladkov <legion@altlinux.ru> 0.95.1-alt1
- New version (0.95.1).

* Mon Apr 23 2007 Alexey Gladkov <legion@altlinux.ru> 0.95.0-alt1
- New version (0.95.0).
- Remove postun script.

* Wed Feb 28 2007 Alexey Gladkov <legion@altlinux.ru> 0.94.2-alt1
- New version (0.94.2).
- Build with thunderbird 2.0 beta2.

* Thu Nov 23 2006 Alexey Gladkov <legion@altlinux.ru> 0.94.1-alt2
- Rebuild for new thunderbird (1.5.0.8)

* Mon Aug 21 2006 Alexey Gladkov <legion@altlinux.ru> 0.94.1-alt1
- New version (0.94.1)

* Tue May 02 2006 Alexey Gladkov <legion@altlinux.ru> 0.94.0-alt2
- rebuild with thunderbird-1.5.0.2

* Wed Mar 22 2006 Alexey Gladkov <legion@altlinux.ru> 0.94.0-alt1
- new version
- rpath bugfix

* Wed Aug 31 2005 Alexey Gladkov <legion@altlinux.ru> 0.92.0-alt2
- bugfix rebuild.

* Sun Aug 14 2005 Alexey Gladkov <legion@altlinux.ru> 0.92.0-alt1
- new version;

* Thu May 12 2005 Alexey Gladkov <legion@altlinux.ru> 0.91.0-alt1
- new version;

* Fri Jan 28 2005 Alexey Gladkov <legion@altlinux.ru> 0.90.0-alt3
- Rebuild with libstdc++.so.6 .

* Thu Jan 20 2005 Alexey Gladkov <legion@altlinux.ru> 0.90.0-alt2
- Rebuild with new thunderbird.
- Requires to thunderbird package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.90.0-alt1
- New version;

* Sun Oct 24 2004 Alexey Gladkov <legion@altlinux.ru> 0.86.1-alt1
- New version
- New extension loading scheme
- %%post_ldconfig and %%postun_ldconfig was removed

* Tue Jul 16 2004 Alexey Morozov <morozov@altlinux.org> 0.84.2-alt2
- new version (0.84.2 for thunderbird 0.7.x)
- requirements reviewed

* Tue May 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.84.0-alt2
- New version

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.83.3-alt2
- New version

* Tue Jan 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.82.6-alt2
- first build for ALT Linux.
